Subject: Re: PPC64 & DMA zone

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 18 Aug 2012 07:38:24 +1000

On Sat, 2012-08-18 at 00:01 +0300, Aaro Koskinen wrote:
> b43-pci-bridge 0001:01:01.0: Warning: IOMMU window too big for device
> mask
> b43-pci-bridge 0001:01:01.0: mask: 0x3fffffff, table end: 0x80000000
> b43-phy0 ERROR: The machine/kernel does not support the required
> 30-bit DMA mask

Hrm, odd, I though we had the iommu allocator sorted to handle that case
a while back. Maybe that got broken. I can try to have a look but poke
me in a week or so if you don't hear from me.

Unless somebody else beat me to it which would be much welcome :-)

Cheers,
Ben.